Bug 457151 - gnome-ppp status icon transparent background patch
gnome-ppp status icon transparent background patch
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-ppp (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-29 17:29 EDT by Michal Ruzicka
Modified: 2009-07-14 11:20 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:20:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
eggtrayicon code update (13.87 KB, patch)
2008-07-29 17:29 EDT, Michal Ruzicka
no flags Details | Diff
eggtrayicon transparency patch (2.80 KB, patch)
2008-07-29 17:30 EDT, Michal Ruzicka
no flags Details | Diff
patch to use GtkStatusIcon in place of EggTrayIcon (13.82 KB, patch)
2008-07-30 19:28 EDT, Michal Ruzicka
no flags Details | Diff
patch to remove eggtrayicon sources (11.93 KB, patch)
2008-07-30 19:29 EDT, Michal Ruzicka
no flags Details | Diff
patch to allow closing of the "connected" window (2.00 KB, patch)
2008-07-30 19:35 EDT, Michal Ruzicka
no flags Details | Diff
updated patch to use GtkStatusIcon in place of EggTrayIcon (13.81 KB, patch)
2008-07-31 05:15 EDT, Michal Ruzicka
no flags Details | Diff
updated patch to allow closing of the "connected" window (2.00 KB, patch)
2008-07-31 05:16 EDT, Michal Ruzicka
no flags Details | Diff

  None (edit)
Description Michal Ruzicka 2008-07-29 17:29:06 EDT
Description of problem:
The connection status icon indicating the traffic on an established connection
does not have a transparent background in Gnome panel.
Instead the default window background color seems to be used to paint the icon's
background.


Version-Release number of selected component (if applicable):
0.3.23-5.fc9

How reproducible:
Always

Steps to Reproduce:
1. install a theme that sets gnome panel background to a color / image different
from the theme's default window background color
2. configure a connection in gnome-ppp and make sure to check the "Dock in
notification area" option
3. establish the connection

Actual results:
The connection status icon in the notification area does not have a transparent
background instead its background seems to be painted with the default window
background color.

Expected results:
The connection status icon in the notification area has a transparent background.

Additional info:
I've adapted ekiga-eggtrayicon-update.diff and
ekiga-eggtrayicon-transparency.diff patches found at
http://bugs.gentoo.org/show_bug.cgi?id=135327 (which solve similar problem for
ekiga on Gentoo) to apply to gnome-ppp - the adated patches are attached.
Applying the patches solved the problem for me.
Comment 1 Michal Ruzicka 2008-07-29 17:29:06 EDT
Created attachment 312937 [details]
eggtrayicon code update
Comment 2 Michal Ruzicka 2008-07-29 17:30:16 EDT
Created attachment 312938 [details]
eggtrayicon transparency patch
Comment 3 Michal Ruzicka 2008-07-30 16:46:11 EDT
I could not help digging into the problem some more and I have found a much more
straightforward solution to it: use GTK provided GtkStatusIcon (see:
http://library.gnome.org/devel/gtk/stable/GtkStatusIcon.html) in place of the
EggTrayIcon.
There are two patches attached:
gnome-ppp-gtkstatusicon.patch
gnome-ppp-remove_eggtrayicon.patch

The first one introduces the code changes to use GtkStatusIcon instead of
EggTrayIcon.
The latter one removes the eggtrayicon sources.
Comment 4 Michal Ruzicka 2008-07-30 19:28:40 EDT
Created attachment 313052 [details]
patch to use GtkStatusIcon in place of EggTrayIcon
Comment 5 Michal Ruzicka 2008-07-30 19:29:48 EDT
Created attachment 313053 [details]
patch to remove eggtrayicon sources
Comment 6 Michal Ruzicka 2008-07-30 19:34:09 EDT
I'm attaching another patch (depending on the previous ones) -
gnome-ppp-allow_close_window.patch - which allows the "connected" window to be
closed when the connection status icon is displayed. Formerly the window could
not be closed under any conditions.
Comment 7 Michal Ruzicka 2008-07-30 19:35:00 EDT
Created attachment 313054 [details]
patch to allow closing of the "connected" window
Comment 8 Michal Ruzicka 2008-07-31 05:15:53 EDT
Created attachment 313081 [details]
updated patch to use GtkStatusIcon in place of EggTrayIcon

styling clean-ups and one optimization
Comment 9 Michal Ruzicka 2008-07-31 05:16:56 EDT
Created attachment 313082 [details]
updated patch to allow closing of the "connected" window
Comment 10 Bill Nottingham 2008-07-31 10:59:14 EDT
Note that gnome-ppp is orphaned - there is currently no maintainer, and it's
actually been removed from the development tree. Because of this, it's unlikely
any changes will be applied.

Are you willing to maintain it?
Comment 11 Bug Zapper 2009-06-09 22:17:29 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-07-14 11:20:15 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.